# Plug-in event

An action block which awaits an “event” to be triggered by an app which support the Tasker plug-in architecture.

The fiber will pause until the plug-in triggers the “event”.

When configuring a plug-in, to include a variable then its name should be preceded by a percent (%) character, that’s the string interpolation syntax used by Tasker.

Privacy warning! When a plug-in has been configured, the configuration will be stored in the flow, the data within it is foreign to Automate and may contain sensitive information. Be wary of sharing a flow using this block.

## Options

- Plug-in — plug-in to invoke.

## Output variables

If a plug-in support result variables, a list of variables may be displayed once the plug-in has been configured. An alternative, if no variables are displayed, is to enable the Allow plug-in to set any variable option and assign the variables from within the plug-in during configuration.